Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRayCastRayInfo Struct Reference

`#include <vtkRayCastStructures.h>`

List of all members.

## Public Attributes
float | Origin [3]
float | Direction [3]
int | Pixel [2]
float | CameraPosition [3]
int | ImageSize [2]
float | NearClip
float | FarClip
float | Color [4]
float | Depth
float | TransformedStart [4]
float | TransformedEnd [4]
float | TransformedDirection [4]
float | TransformedIncrement [3]
int | NumberOfStepsToTake
int | NumberOfStepsTaken

## Member Data Documentation

float vtkRayCastRayInfo::Origin[3]

| Definition at line 48 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::Direction[3]

| Definition at line 49 of file vtkRayCastStructures.h.

int vtkRayCastRayInfo::Pixel[2]

| Definition at line 55 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::CameraPosition[3]

| Definition at line 59 of file vtkRayCastStructures.h.

int vtkRayCastRayInfo::ImageSize[2]

| Definition at line 62 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::NearClip

| Definition at line 66 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::FarClip

| Definition at line 67 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::Color[4]

| Definition at line 70 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::Depth

| Definition at line 71 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::TransformedStart[4]

| Definition at line 80 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::TransformedEnd[4]

| Definition at line 81 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::TransformedDirection[4]

| Definition at line 82 of file vtkRayCastStructures.h.

float vtkRayCastRayInfo::TransformedIncrement[3]

| Definition at line 83 of file vtkRayCastStructures.h.

int vtkRayCastRayInfo::NumberOfStepsToTake

| Definition at line 87 of file vtkRayCastStructures.h.

int vtkRayCastRayInfo::NumberOfStepsTaken

| Definition at line 91 of file vtkRayCastStructures.h.

The documentation for this struct was generated from the following file:

- Common/vtkRayCastStructures.h